> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hotglue.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Link a target

> Link one of your tenants to a target



## OpenAPI

````yaml post /{env_id}/{flow_id}/{tenant}/linkedTargets
openapi: 3.1.0
info:
  title: hotglue API
  version: '1.2'
servers:
  - url: https://api.hotglue.com
security:
  - sec0: []
paths:
  /{env_id}/{flow_id}/{tenant}/linkedTargets:
    post:
      summary: Link a target
      description: Link one of your tenants to a target
      operationId: linked-targets-create
      parameters:
        - name: env_id
          in: path
          description: ID of environment
          schema:
            type: string
          required: true
        - name: flow_id
          in: path
          description: ID of flow
          schema:
            type: string
          required: true
        - name: tenant
          in: path
          description: ID of tenant
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - target
              properties:
                target:
                  type: object
                  description: The target & settings info you wish to link
                  required:
                    - target
                  properties:
                    target:
                      type: string
                      description: The name of the connector you want to link
                    symlink:
                      type: object
                      description: >-
                        Symlink allows you to share credentials with an existing
                        connection in another flow
                      properties:
                        entity:
                          type: string
                          description: The name of the connector that is already linked
                        id:
                          type: string
                          description: >-
                            The previously linked flow_id containing a user's
                            credentials
                        tenant:
                          type: string
                          description: >-
                            Optional. If using subtenants, the tenant id that
                            has the linked connector.
                    config:
                      type: object
                      description: >-
                        This JSON object holds credentials and flags to create a
                        connection.
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key

````